;*******************************************************************************
;* WINDOWS.INC *****************************************************************
;*******************************************************************************
;*                                                                             *
;*	              This is a very small subset of the                       *
;*                                                                             *
;* Win32 API Constants, Type Definitions, Structures, and Function Prototypes  *
;*                                                                             *
;*                        converted from the                                   *
;*		MICROSOFT Win32 SDK header files to the                        *
;*		MICROSOFT MASM 6.11a include file format.                      *
;*                                                                             *
;*	The 32-Bit SKELETON Assembly Language Program which uses this file     *
;*	explicitly INVOKEs the ASCII (or UNICODE) version of the API function. *
;*                                                                             *
;*******************************************************************************


;*******************************************************************************
;*			WINDEF.H	****************************************
;*******************************************************************************

TRUE		EQU	000000001h
FALSE		EQU	000000000h
NULL		EQU	000000000h

WINAPI		TYPEDEF	PROTO STDCALL
DLGPROC		TYPEDEF PROTO STDCALL
CALLBACK	TYPEDEF PROTO STDCALL

HTASK		TYPEDEF WORD
HWND		TYPEDEF	DWORD
HANDLE		TYPEDEF	DWORD
HINSTANCE	TYPEDEF	DWORD
HICON		TYPEDEF	DWORD
HMENU		TYPEDEF	DWORD
HBRUSH		TYPEDEF	DWORD
HCURSOR		TYPEDEF	DWORD
HDC		TYPEDEF	DWORD

UINT		TYPEDEF DWORD
LONG		TYPEDEF	DWORD
BOOL		TYPEDEF	DWORD

WPARAM		TYPEDEF	UINT
LPARAM		TYPEDEF DWORD

LPSTR		TYPEDEF	DWORD
LPCSTR		TYPEDEF DWORD

POINT			STRUCT
	x		LONG	?
	y		LONG	?
POINT			ENDS


RECT			STRUCT
	left		LONG	?
	top		LONG	?
	right		LONG	?
	bottom		LONG	?
RECT			ENDS
LPRECT			TYPEDEF PTR     RECT


;*******************************************************************************
;*	KERNEL32.LIB	WINBASE.H	****************************************
;*******************************************************************************

GetCommandLineA		PROTO	WINAPI

GetModuleHandleA	PROTO	WINAPI	:DWORD

ExitProcess		PROTO	WINAPI	:DWORD

lstrlenA		PROTO	WINAPI	:LPCSTR


;*******************************************************************************
;*	GDI32.LIB	WINGDI.H	****************************************
;*******************************************************************************

WHITE_BRUSH		EQU	000000000h
LTGRAY_BRUSH		EQU	000000001h
GRAY_BRUSH		EQU	000000002h
DKGRAY_BRUSH		EQU	000000003h
BLACK_BRUSH		EQU	000000004h

GetDeviceCaps		PROTO	WINAPI	:HDC, :WORD
HORZRES			EQU	000000008h
VERTRES			EQU	000000010h

GetStockObject		PROTO	WINAPI	:WORD
TextOutA		PROTO	WINAPI	:HDC, :DWORD, :DWORD, :LPCSTR, :DWORD


;*******************************************************************************
;*      USER32.LIB	WINUSER.H	****************************************
;*******************************************************************************

WNDCLASSEX		STRUCT
	cbSize		UINT		?
	style		UINT		?
	lpfnWndProc	DWORD		?
	cbClsExtra	DWORD		?
	cbWndExtra	DWORD		?
	hInstance	HINSTANCE	?
	hIcon		HICON		?
	hCursor		HCURSOR		?
	hbrBackground	HBRUSH		?
	lpszMenuName	LPCSTR		?
	lpszClassName	LPCSTR		?
	hIconSm		HICON		?
WNDCLASSEX		ENDS

MSG			STRUCT
	hwnd		HANDLE	?
	message		UINT	?
	wParam		WPARAM	?
	lParam		LPARAM	?
	time		DWORD	?
	pt		POINT	<>
MSG			ENDS
LPMSG			TYPEDEF DWORD

PAINTSTRUCT		STRUCT
	hdc		HDC	?
	fErase		BOOL	?
	rcPaint		RECT	<>
	fRestore	BOOL	?
	fIncUpdate	BOOL	?
	rgbReserved	BYTE	32 DUP (?)
PAINTSTRUCT		ENDS
LPPAINTSTRUCT		TYPEDEF PTR	PAINTSTRUCT

SS_BLACKFRAME		EQU	000000007h

MF_POPUP		EQU	000000010h
MF_SEPARATOR		EQU	000000800h
MF_SYSMENU		EQU	000002000h
MFT_SEPARATOR		EQU	MF_SEPARATOR

LoadIconA		PROTO	WINAPI	:HINSTANCE, :DWORD
IDI_APPLICATION		EQU	000007f00h

LoadCursorA		PROTO	WINAPI	:HINSTANCE, :DWORD
IDC_ARROW		EQU	000007f00h

LoadImageA		PROTO	WINAPI	:HINSTANCE, :LPCSTR, :UINT, :UINT, :UINT, :UINT
IMAGE_ICON		EQU	000000001h

LoadStringA		PROTO	WINAPI	:HINSTANCE, :UINT, :LPCSTR, :UINT

RegisterClassExA	PROTO	WINAPI	:DWORD
CS_VREDRAW		EQU	000000001h
CS_HREDRAW		EQU	000000002h

COLOR_WINDOW		EQU	5t

CreateWindowExA		PROTO	WINAPI	:DWORD, :LPCSTR, :LPCSTR, :DWORD, :SDWORD, :SDWORD, :SDWORD, :SDWORD, :HWND, :HMENU, :HINSTANCE, :DWORD
WS_CHILD		EQU	040000000h
WS_BORDER		EQU	000800000h
WS_VISIBLE		EQU	010000000h
WS_OVERLAPPEDWINDOW	EQU	000cf0000h
WS_EX_WINDOWEDGE	EQU	000000100h
WS_EX_CLIENTEDGE	EQU	000000200h
WS_EX_OVERLAPPEDWINDOW	EQU	WS_EX_WINDOWEDGE + WS_EX_CLIENTEDGE

UpdateWindow		PROTO	WINAPI	:HWND
ShowWindow		PROTO	WINAPI	:HWND, :UINT
SW_HIDE			EQU	000000000h
SW_SHOW			EQU	000000005h
SW_SHOWDEFAULT  	EQU	00000000Ah

GetMessageA		PROTO	WINAPI	:LPMSG, :HWND, :UINT, :UINT
SendMessageA		PROTO	WINAPI	:HWND, :UINT, :WPARAM, :LPARAM
TranslateMessage	PROTO	WINAPI	:LPMSG
DispatchMessageA        PROTO	WINAPI	:LPMSG
WM_CREATE		EQU	000000001h
WM_DESTROY		EQU	000000002h
WM_SIZE			EQU	000000005h
WM_PAINT		EQU	00000000Fh
WM_INITDIALOG		EQU	000000110h
WM_COMMAND		EQU	000000111h
WM_MENUSELECT		EQU	00000011Fh
WM_USER			EQU	000000400h

DefWindowProcA		PROTO	WINAPI	:HWND, :UINT, :WPARAM, :LPARAM
PostQuitMessage		PROTO	WINAPI	:SWORD

BeginPaint		PROTO	WINAPI	:HWND, :LPPAINTSTRUCT
EndPaint		PROTO	WINAPI	:HWND, :LPPAINTSTRUCT

MessageBoxA		PROTO	WINAPI	:HWND, :LPCSTR, :LPCSTR, :UINT
DialogBoxParamA		PROTO	WINAPI	:HINSTANCE, :LPCSTR, :HWND, :DLGPROC, :LPARAM
EndDialog		PROTO	WINAPI	:HWND, :UINT
MapDialogRecA		PROTO	WINAPI	:HWND, :LPRECT
IDOK			EQU	000000001h
IDCANCEL		EQU	000000002h
IDABORT			EQU	000000003h
IDRETRY			EQU	000000004h
IDIGNORE		EQU	000000005h
IDYES			EQU	000000006h
IDNO			EQU	000000007h
IDCLOSE			EQU	000000008h
IDHELP			EQU	000000009h

GetDC			PROTO	WINAPI	:HWND
ReleaseDC		PROTO	WINAPI	:HWND, :HDC

GetSystemMetrics	PROTO	WINAPI	:UINT
SM_CXSCREEN		EQU	000000000h
SM_CYSCREEN		EQU	000000001h

GetWindow		PROTO	WINAPI	:HWND, :UINT
GW_HWNDFIRST		EQU	000000000h
GW_HWNDLAST		EQU	000000001h
GW_HWNDNEXT		EQU	000000002h
GW_HWNDPREV		EQU	000000003h
GW_OWNER		EQU	000000004h
GW_CHILD		EQU	000000005h

GetWindowRect		PROTO	WINAPI	:HWND, :LPRECT
SetWindowPos		PROTO	WINAPI	:HWND, :HWND, :UINT, :UINT, :UINT, :UINT, :UINT
HWND_TOP		EQU	000000000h
SWP_FRAMECHANGED	EQU	000000020h
SWP_DRAWFRAME		EQU	SWP_FRAMECHANGED
SWP_NOSIZE		EQU	000000001h
SWP_NOMOVE		EQU	000000002h
SWP_NOZORDER		EQU	000000004h


;*******************************************************************************
;*      COMCTL32.LIB    COMMCTL.H	****************************************
;*******************************************************************************

InitCommonControls	PROTO	WINAPI
CreateStatusWindow	PROTO	WINAPI	:DWORD, :LPCSTR, :HWND, :UINT

SB_SETTEXT		EQU	(WM_USER+1)
SB_SIMPLE		EQU	(WM_USER+9)
